Validar BR Code
curl --request POST \
--url https://spi.sandbox.lerian.net/api/v1/brcode/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"raw": "00020126580014br.gov.bcb.pix0136550e8400-e29b-41d4-a716-44665544000052040000530398654041.005802BR5913Lerian Studio6009Sao Paulo62070503***6304ABCD"
}
'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/validate"
payload = { "raw": "00020126580014br.gov.bcb.pix0136550e8400-e29b-41d4-a716-44665544000052040000530398654041.005802BR5913Lerian Studio6009Sao Paulo62070503***6304ABCD" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
raw: '00020126580014br.gov.bcb.pix0136550e8400-e29b-41d4-a716-44665544000052040000530398654041.005802BR5913Lerian Studio6009Sao Paulo62070503***6304ABCD'
})
};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"code": "BRC-EMV-0009",
"message": "CRC checksum does not match payload"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Validar BR Code
Valida um payload bruto de BR Code e retorna códigos de validação EMV estáveis.
POST
/
api
/
v1
/
brcode
/
validate
Validar BR Code
Autorizações
JWT bearer token issued by the identity provider.
Corpo
application/json
Raw EMV BR Code copy-paste string to validate without returning decoded data.
Exemplo:
"00020126580014br.gov.bcb.pix0136550e8400-e29b-41d4-a716-44665544000052040000530398654041.005802BR5913Lerian Studio6009Sao Paulo62070503***6304ABCD"
Resposta
OK
True when the raw payload passed EMV structural and CRC validation; false otherwise.
Exemplo:
true
EMV validation error code when invalid (empty when valid).
Exemplo:
"BRC-EMV-0009"
Human-readable validation failure reason when invalid (empty when valid).
Exemplo:
"CRC checksum does not match payload"
Esta página foi útil?

